posix_setsid
posix_strerror
POSIX Functions
PHP Manual

# posix_setuid

Set the UID of the current process

### Description

bool posix_setuid ( int `$uid` )

Set the real user ID of the current process. This is a privileged function that needs appropriate privileges (usually root) on the system to be able to perform this function.

### Parameters

`uid`

  The user id.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 posix_setuid example

This example will show the current user id and then set it to a different value.

`<?php
echo posix_getuid()."\n"; //10001
echo posix_geteuid()."\n"; //10001
posix_setuid(10000);
echo posix_getuid()."\n"; //10000
echo posix_geteuid()."\n"; //10000
?>`

### See Also

- posix_setgid
- posix_seteuid
- posix_getuid
- posix_geteuid